package com.ruoyi.invest.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.uuid.IdUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.invest.mapper.TProjectContractMapper;
import com.ruoyi.invest.domain.TProjectContract;
import com.ruoyi.invest.service.ITProjectContractService;

/**
 * 合同管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
@Service
public class TProjectContractServiceImpl implements ITProjectContractService 
{
    @Autowired
    private TProjectContractMapper tProjectContractMapper;

    /**
     * 查询合同管理
     * 
     * @param id 合同管理主键
     * @return 合同管理
     */
    @Override
    public TProjectContract selectTProjectContractById(String id)
    {
        return tProjectContractMapper.selectTProjectContractById(id);
    }

    /**
     * 查询合同管理列表
     * 
     * @param tProjectContract 合同管理
     * @return 合同管理
     */
    @Override
    public List<TProjectContract> selectTProjectContractList(TProjectContract tProjectContract)
    {
        return tProjectContractMapper.selectTProjectContractList(tProjectContract);
    }

    /**
     * 新增合同管理
     * 
     * @param tProjectContract 合同管理
     * @return 结果
     */
    @Override
    public int insertTProjectContract(TProjectContract tProjectContract)
    {
        tProjectContract.setCreateTime(DateUtils.getNowDate());
        return tProjectContractMapper.insertTProjectContract(tProjectContract);
    }

    /**
     * 修改合同管理
     * 
     * @param tProjectContract 合同管理
     * @return 结果
     */
    @Override
    public int updateTProjectContract(TProjectContract tProjectContract)
    {
        tProjectContract.setUpdateTime(DateUtils.getNowDate());
        return tProjectContractMapper.updateTProjectContract(tProjectContract);
    }

    /**
     * 批量删除合同管理
     * 
     * @param ids 需要删除的合同管理主键
     * @return 结果
     */
    @Override
    public int deleteTProjectContractByIds(String[] ids)
    {
        return tProjectContractMapper.deleteTProjectContractByIds(ids);
    }

    /**
     * 删除合同管理信息
     * 
     * @param id 合同管理主键
     * @return 结果
     */
    @Override
    public int deleteTProjectContractById(String id)
    {
        return tProjectContractMapper.deleteTProjectContractById(id);
    }
}
